---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libcm02t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x4C40, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x5C8F0, symBinAddr: 0x10230, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5E830, symBinAddr: 0x12170, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5EC20, symBinAddr: 0x12560, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5FBC0, symBinAddr: 0x13500, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5FBD0, symBinAddr: 0x13510, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x5C520, symBinAddr: 0x100B0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x5C524, symBinAddr: 0x100B4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x5C528, symBinAddr: 0x100B8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x5C680, symBinAddr: 0x100C0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x5C738, symBinAddr: 0x10178, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5C73C, symBinAddr: 0x1017C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x5C740, symBinAddr: 0x10180, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x5C744, symBinAddr: 0x10184, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x5C748, symBinAddr: 0x10188, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x5C750, symBinAddr: 0x10190, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x5C760, symBinAddr: 0x101A0, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x5C768, symBinAddr: 0x101A8, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x5C770, symBinAddr: 0x101B0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x5C778, symBinAddr: 0x101B8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x5C780, symBinAddr: 0x101C0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x5C788, symBinAddr: 0x101C8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x5C7D0, symBinAddr: 0x101D0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL28ClassFileLoadHookEventsCount, symObjAddr: 0x5C80C, symBinAddr: 0x101DC, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL29CompiledMethodLoadEventsCount, symObjAddr: 0x5C810, symBinAddr: 0x101E0, symSize: 0x0 }
  - { offsetInCU: 0x951D, offset: 0x951D, size: 0x8, addend: 0x0, symName: __ZL31CompiledMethodUnloadEventsCount, symObjAddr: 0x5C814, symBinAddr: 0x101E4, symSize: 0x0 }
  - { offsetInCU: 0x9536, offset: 0x9536, size: 0x8, addend: 0x0, symName: __ZL32MonitorContendedEnterEventsCount, symObjAddr: 0x5C818, symBinAddr: 0x101E8, symSize: 0x0 }
  - { offsetInCU: 0x954F, offset: 0x954F, size: 0x8, addend: 0x0, symName: __ZL34MonitorContendedEnteredEventsCount, symObjAddr: 0x5C81C, symBinAddr: 0x101EC, symSize: 0x0 }
  - { offsetInCU: 0x9568, offset: 0x9568, size: 0x8, addend: 0x0, symName: __ZL22MonitorWaitEventsCount, symObjAddr: 0x5C820, symBinAddr: 0x101F0, symSize: 0x0 }
  - { offsetInCU: 0x9581, offset: 0x9581, size: 0x8, addend: 0x0, symName: __ZL24MonitorWaitedEventsCount, symObjAddr: 0x5C824, symBinAddr: 0x101F4, symSize: 0x0 }
  - { offsetInCU: 0x959A, offset: 0x959A, size: 0x8, addend: 0x0, symName: __ZL24VMObjectAllocEventsCount, symObjAddr: 0x5C828, symBinAddr: 0x101F8, symSize: 0x0 }
  - { offsetInCU: 0x95B3, offset: 0x95B3, size: 0x8, addend: 0x0, symName: __ZL27NativeMethodBindEventsCount, symObjAddr: 0x5C82C, symBinAddr: 0x101FC, symSize: 0x0 }
  - { offsetInCU: 0x95CC, offset: 0x95CC, size: 0x8, addend: 0x0, symName: __ZL33GarbageCollectionStartEventsCount, symObjAddr: 0x5C830, symBinAddr: 0x10200, symSize: 0x0 }
  - { offsetInCU: 0x95E5, offset: 0x95E5, size: 0x8, addend: 0x0, symName: __ZL34GarbageCollectionFinishEventsCount, symObjAddr: 0x5C834, symBinAddr: 0x10204, symSize: 0x0 }
  - { offsetInCU: 0x960D, offset: 0x960D, size: 0x8, addend: 0x0, symName: __ZL21ObjectFreeEventsCount, symObjAddr: 0x5C838, symBinAddr: 0x10208, symSize: 0x0 }
  - { offsetInCU: 0x9626, offset: 0x9626, size: 0x8, addend: 0x0, symName: __ZL20testedObjectNotified, symObjAddr: 0x5C83C, symBinAddr: 0x1020C, symSize: 0x0 }
  - { offsetInCU: 0x964D, offset: 0x964D, size: 0x8, addend: 0x0, symName: __ZL5klass, symObjAddr: 0x5C848, symBinAddr: 0x10218, symSize: 0x0 }
  - { offsetInCU: 0x965A, offset: 0x965A, size: 0x8, addend: 0x0, symName: __ZL21ThreadObjectReference24jvmtiObjectReferenceKindllPlliPv, symObjAddr: 0xCF80, symBinAddr: 0x91F0, symSize: 0x20 }
  - { offsetInCU: 0x9685, offset: 0x9685, size: 0x8, addend: 0x0, symName: __ZZL21ThreadObjectReference24jvmtiObjectReferenceKindllPlliPvE29ThreadObjectReferenceTagCount, symObjAddr: 0x5C850, symBinAddr: 0x10220, symSize: 0x0 }
  - { offsetInCU: 0x96F1, offset: 0x96F1, size: 0x8, addend: 0x0, symName: __ZL12testedObject, symObjAddr: 0x5C858, symBinAddr: 0x10228, symSize: 0x0 }
  - { offsetInCU: 0x970A, offset: 0x970A, size: 0x8, addend: 0x0, symName: __ZL6thread, symObjAddr: 0x5C840, symBinAddr: 0x10210, symSize: 0x0 }
  - { offsetInCU: 0x975C, offset: 0x975C, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x38E0, symSize: 0x80 }
  - { offsetInCU: 0x97F1, offset: 0x97F1, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3830, symSize: 0xB0 }
  - { offsetInCU: 0x984C, offset: 0x984C, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3730, symSize: 0x100 }
  - { offsetInCU: 0x9ADF, offset: 0x9ADF, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3960, symSize: 0xC0 }
  - { offsetInCU: 0x9B31, offset: 0x9B31, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3A20, symSize: 0x220 }
  - { offsetInCU: 0x9D16, offset: 0x9D16, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3C40, symSize: 0xA0 }
  - { offsetInCU: 0x9DC9, offset: 0x9DC9, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3CE0, symSize: 0x110 }
  - { offsetInCU: 0x9EBF, offset: 0x9EBF, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3DF0, symSize: 0x150 }
  - { offsetInCU: 0xA01C, offset: 0xA01C, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3F40, symSize: 0x30 }
  - { offsetInCU: 0xA155, offset: 0xA155, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3F70, symSize: 0x150 }
  - { offsetInCU: 0xA34D, offset: 0xA34D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x40C0, symSize: 0x160 }
  - { offsetInCU: 0xA60D, offset: 0xA60D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x4220, symSize: 0x4A0 }
  - { offsetInCU: 0xA880, offset: 0xA880, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x46C0, symSize: 0x1B0 }
  - { offsetInCU: 0xAA9B, offset: 0xAA9B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4870, symSize: 0xA0 }
  - { offsetInCU: 0xAB6A, offset: 0xAB6A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4910, symSize: 0x20 }
  - { offsetInCU: 0xABA1, offset: 0xABA1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4930, symSize: 0x20 }
  - { offsetInCU: 0xABD8, offset: 0xABD8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4950, symSize: 0x20 }
  - { offsetInCU: 0xADAB, offset: 0xADAB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4970, symSize: 0x1A0 }
  - { offsetInCU: 0xB0C7, offset: 0xB0C7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x4B10, symSize: 0x130 }
  - { offsetInCU: 0xB277, offset: 0xB277, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4EB0, symSize: 0x1B0 }
  - { offsetInCU: 0xB566, offset: 0xB566, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5060, symSize: 0x80 }
  - { offsetInCU: 0xB62F, offset: 0xB62F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x50E0, symSize: 0x6A0 }
  - { offsetInCU: 0xC1C4, offset: 0xC1C4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xCB50, symBinAddr: 0x8DC0, symSize: 0xB0 }
  - { offsetInCU: 0xC23B, offset: 0xC23B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5780, symSize: 0x70 }
  - { offsetInCU: 0xC32F, offset: 0xC32F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x57F0, symSize: 0xA0 }
  - { offsetInCU: 0xC45A, offset: 0xC45A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5890, symSize: 0x40 }
  - { offsetInCU: 0xC550, offset: 0xC550, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x58D0, symSize: 0x2B0 }
  - { offsetInCU: 0xC8F6, offset: 0xC8F6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5B80, symSize: 0xC0 }
  - { offsetInCU: 0xCA3C, offset: 0xCA3C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5C40, symSize: 0x10 }
  - { offsetInCU: 0xCAFE, offset: 0xCAFE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5C50, symSize: 0x220 }
  - { offsetInCU: 0xCDFB, offset: 0xCDFB, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5E70, symSize: 0x10 }
  - { offsetInCU: 0xCE58, offset: 0xCE58, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5E80, symSize: 0x860 }
  - { offsetInCU: 0xD992, offset: 0xD992, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA470, symBinAddr: 0x66E0, symSize: 0x10 }
  - { offsetInCU: 0xD9F0, offset: 0xD9F0, size: 0x8, addend: 0x0, symName: __ZL17ClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0xA480, symBinAddr: 0x66F0, symSize: 0x30 }
  - { offsetInCU: 0xDA95, offset: 0xDA95, size: 0x8, addend: 0x0, symName: __ZL18CompiledMethodLoadP9_jvmtiEnvP10_jmethodIDiPKviPK20jvmtiAddrLocationMapS4_, symObjAddr: 0xA4B0, symBinAddr: 0x6720, symSize: 0x110 }
  - { offsetInCU: 0xDC7B, offset: 0xDC7B, size: 0x8, addend: 0x0, symName: __ZL20CompiledMethodUnloadP9_jvmtiEnvP10_jmethodIDPKv, symObjAddr: 0xA5C0, symBinAddr: 0x6830, symSize: 0xC0 }
  - { offsetInCU: 0xDDEC, offset: 0xDDEC, size: 0x8, addend: 0x0, symName: __ZL21MonitorContendedEnterP9_jvmtiEnvP7JNIEnv_P8_jobjectS4_, symObjAddr: 0xA680, symBinAddr: 0x68F0, symSize: 0xD0 }
  - { offsetInCU: 0xDF21, offset: 0xDF21, size: 0x8, addend: 0x0, symName: __ZL23MonitorContendedEnteredP9_jvmtiEnvP7JNIEnv_P8_jobjectS4_, symObjAddr: 0xA750, symBinAddr: 0x69C0, symSize: 0xD0 }
  - { offsetInCU: 0xE056, offset: 0xE056, size: 0x8, addend: 0x0, symName: __ZL11MonitorWaitP9_jvmtiEnvP7JNIEnv_P8_jobjectS4_l, symObjAddr: 0xA820, symBinAddr: 0x6A90, symSize: 0xD0 }
  - { offsetInCU: 0xE196, offset: 0xE196, size: 0x8, addend: 0x0, symName: __ZL13MonitorWaitedP9_jvmtiEnvP7JNIEnv_P8_jobjectS4_h, symObjAddr: 0xA8F0, symBinAddr: 0x6B60, symSize: 0xD0 }
  - { offsetInCU: 0xE2D6, offset: 0xE2D6, size: 0x8, addend: 0x0, symName: __ZL13VMObjectAllocP9_jvmtiEnvP7JNIEnv_P8_jobjectS4_P7_jclassl, symObjAddr: 0xA9C0, symBinAddr: 0x6C30, symSize: 0xE0 }
  - { offsetInCU: 0xE461, offset: 0xE461, size: 0x8, addend: 0x0, symName: __ZL16NativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0xAAA0, symBinAddr: 0x6D10, symSize: 0x180 }
  - { offsetInCU: 0xE6C2, offset: 0xE6C2, size: 0x8, addend: 0x0, symName: __ZL22GarbageCollectionStartP9_jvmtiEnv, symObjAddr: 0xAC20, symBinAddr: 0x6E90, symSize: 0x30 }
  - { offsetInCU: 0xE6FC, offset: 0xE6FC, size: 0x8, addend: 0x0, symName: __ZL23GarbageCollectionFinishP9_jvmtiEnv, symObjAddr: 0xAC50, symBinAddr: 0x6EC0, symSize: 0x30 }
  - { offsetInCU: 0xE789, offset: 0xE789, size: 0x8, addend: 0x0, symName: __ZL10ObjectFreeP9_jvmtiEnvl, symObjAddr: 0xAC80, symBinAddr: 0x6EF0, symSize: 0x2C0 }
  - { offsetInCU: 0xEEA4, offset: 0xEEA4, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAF40, symBinAddr: 0x71B0, symSize: 0x1C10 }
  - { offsetInCU: 0x112D6, offset: 0x112D6, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xCC00, symBinAddr: 0x8E70, symSize: 0x370 }
  - { offsetInCU: 0x118D5, offset: 0x118D5, size: 0x8, addend: 0x0, symName: __ZL10HeapObjectllPlPv, symObjAddr: 0xCF70, symBinAddr: 0x91E0, symSize: 0x10 }
  - { offsetInCU: 0x11924, offset: 0x11924, size: 0x8, addend: 0x0, symName: __ZL8HeapRoot17jvmtiHeapRootKindllPlPv, symObjAddr: 0xCFA0, symBinAddr: 0x9210, symSize: 0x10 }
  - { offsetInCU: 0x1197F, offset: 0x1197F, size: 0x8, addend: 0x0, symName: __ZL14StackReference17jvmtiHeapRootKindllPlliP10_jmethodIDiPv, symObjAddr: 0xCFB0, symBinAddr: 0x9220, symSize: 0x10 }
  - { offsetInCU: 0x11A0A, offset: 0x11A0A, size: 0x8, addend: 0x0, symName: __ZL15ObjectReference24jvmtiObjectReferenceKindllPlliPv, symObjAddr: 0xCFC0, symBinAddr: 0x9230, symSize: 0x10 }
...
